Bug 182516 - [PATCH] databases/freetds-devel : Add new build option for enable-odbc-wide
Summary: [PATCH] databases/freetds-devel : Add new build option for enable-odbc-wide
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-30 17:50 UTC by mike
Modified: 2013-11-07 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (899 bytes, patch)
2013-09-30 17:50 UTC, mike
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mike 2013-09-30 17:50:00 UTC
I'd like to add the building time configurable, --enable-odbc-wide to the freetds-devel port, we require it for our environment.

See attached svn diff

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-09-30 17:50:08 UTC
Maintainer of databases/freetds-devel,

Please note that PR ports/182516 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182516

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-09-30 17:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Kurt Jaeger 2013-09-30 18:58:30 UTC
Hi!

> Please note that PR ports/182516 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182516

Approve! Thanks!

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2013-10-01 02:18:46 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 William Grzybowski freebsd_committer 2013-11-07 13:16:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-11-07 13:17:03 UTC
Author: wg
Date: Thu Nov  7 13:16:47 2013
New Revision: 333090
URL: http://svnweb.freebsd.org/changeset/ports/333090

Log:
  databases/freetds-devel: add option for odbc-wide
  
  PR:		ports/182516
  Submitted by:	Mike Carlson <mike bayphoto.com>
  Approved by:	maintainer

Modified:
  head/databases/freetds-devel/Makefile

Modified: head/databases/freetds-devel/Makefile
==============================================================================
--- head/databases/freetds-devel/Makefile	Thu Nov  7 13:09:34 2013	(r333089)
+++ head/databases/freetds-devel/Makefile	Thu Nov  7 13:16:47 2013	(r333090)
@@ -28,7 +28,7 @@ MAN1=		datacopy.1 freebcp.1 tsql.1 bsqld
 MAN5=		freetds.conf.5
 
 # OPTIONS_DEFINE=	OPENSSL GNUTLS IODBC UNIXODBC MSDBLIB
-OPTIONS_DEFINE=	MSDBLIB
+OPTIONS_DEFINE=	MSDBLIB ODBCWIDE
 
 OPTIONS_SINGLE=	ODBC SSL
 OPTIONS_SINGLE_ODBC=	IODBC UNIXODBC
@@ -41,6 +41,7 @@ GNUTLS_DESC=	Use GnuTLS
 IODBC_DESC=	Depend on iodbc
 UNIXODBC_DESC=	Depend on unixodbc
 MSDBLIB_DESC=	MS SQL Server compatibility (breaks databases/sybtcl)
+ODBCWIDE_DESC=	Enable Wide ODBC Support
 
 CONFLICTS=	freetds-0.64.[0-9]
 
@@ -52,6 +53,10 @@ USE_OPENSSL=	yes
 CONFIGURE_ARGS+=--with-openssl=${OPENSSLBASE}
 .endif
 
+.if ${PORT_OPTIONS:ODBCWIDE}
+CONFIGURE_ARGS+=	--enable-odbc-wide
+.endif
+
 .if ${PORT_OPTIONS:MGNUTLS}
 LIB_DEPENDS+=	gnutls:${PORTSDIR}/security/gnutls
 CONFIGURE_ARGS+=	--with-gnutls
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"